/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Beans;

/**
 *
 * @author fcelestino
 */
public class Horario {

    private String codigoHorarioGrupo;
    private String codigoGrupo;
    private String estadoHorarioGrupo;

    //---------------------------------
    private String codHorarioCursoDoc;
    private String codAula_HorarioCursoDoc;
    private String dia_HorarioCursoDoc;
    private String posicionBloque_HorarioCursoDoc;
    private String Hini_HorarioCursoDoc;
    private String Hfin_HorarioCursoDoc;
    private String codigoArea_HorarioCursoDoc;
    private String codidoCurso_HorarioCursoDoc;
    private String codigoDocente_HorarioCursoDoc;
    private String estado_HorarioCursoDoc;

    //------------------------------------
    private int cantidad;
    private int cantidadTotal;

    //---------------------------------------
    private String nombreCurso;
    private String nombreSede;
    private String codigoSede;
    private String codigoTurno;

    //---------------------------------------
    private String nombreNivel;
    private String nombreTipoGrado;
    private String nombreGrado;
    private String nombreSeccion;
    private String nombreTurno;

    //----------------------------------------
    private int ArmarHoraio_cantidad;
    private String ArmarHoraio_codAulas;
    private int ArmarHoraio_codBlo;
    private int ArmarHoraio_codGru;
    private String ArmarHoraio_cadena;
    private String ArmarHoraio_codigo;
    private String ArmarHoraio_cadenaAulas;

    //-------------------------------------
    private String h_codigoHorarioCursoDocente;
    private String h_codigoAula;
    private String h_dia;
    private String h_posicionBloque;
    private String h_horarioInicio;
    private String h_horarioFinal;
    private String h_codigoCurso;
    private String h_codigoDocente;
    private String h_codigoTurno;
    private String h_codigoGrupo;
    private String h_nombreGrupo;
    private String h_estado;
    private String h_nombreCurso;
    private String h_apellidosDocente;
    private String h_nombreDocente;
    private String h_codigoUsuario;
    private String h_nombreUsuario;
    private String h_periodo;
    private String h_fecha;
    private String h_hora;
    private String h_accion;
    private String h_clase;
    private String h_codigo_doc_reemp;
    private String h_codigo_cur_reemp;
    private String h_nombre_cur_reemp;
    private String h_observacion;
    private String h_motivoCambio;
    private String h_condicionTrabajador;
    private String h_horaAviso;
    private String h_fechaIngreso;

    public String getH_fechaIngreso() {
        return h_fechaIngreso;
    }

    public void setH_fechaIngreso(String h_fechaIngreso) {
        this.h_fechaIngreso = h_fechaIngreso;
    }
    

    private String anio;

    private String GA_codigoGrupoAula;
    private String GA_cadena;
    private String GA_cantidad;

    //-----------------------------------
    private String cadena;
    private int maxGrupo;

    //-----------------------------------
    private String GTS;
    //-----------------------------------

    public void setAnio(String anio) {
        this.anio = anio;
    }

    public String getAnio() {
        return anio;
    }

    public String getCodigoTurno() {
        return codigoTurno;
    }

    public void setCodigoTurno(String codigoTurno) {
        this.codigoTurno = codigoTurno;
    }

    public String getCodigoSede() {
        return codigoSede;
    }

    public String getH_codigo_cur_reemp() {
        return h_codigo_cur_reemp;
    }

    public void setH_codigo_cur_reemp(String h_codigo_cur_reemp) {
        this.h_codigo_cur_reemp = h_codigo_cur_reemp;
    }

    public String getH_nombre_cur_reemp() {
        return h_nombre_cur_reemp;
    }

    public void setH_nombre_cur_reemp(String h_nombre_cur_reemp) {
        this.h_nombre_cur_reemp = h_nombre_cur_reemp;
    }

    public String getH_observacion() {
        return h_observacion;
    }

    public void setH_observacion(String h_observacion) {
        this.h_observacion = h_observacion;
    }

    public String getH_motivoCambio() {
        return h_motivoCambio;
    }

    public void setH_motivoCambio(String h_motivoCambio) {
        this.h_motivoCambio = h_motivoCambio;
    }

    public String getH_condicionTrabajador() {
        return h_condicionTrabajador;
    }

    public void setH_condicionTrabajador(String h_condicionTrabajador) {
        this.h_condicionTrabajador = h_condicionTrabajador;
    }

    public String getH_horaAviso() {
        return h_horaAviso;
    }

    public void setH_horaAviso(String h_horaAviso) {
        this.h_horaAviso = h_horaAviso;
    }

    public String getH_codigo_doc_reemp() {
        return h_codigo_doc_reemp;
    }

    public void setH_codigo_doc_reemp(String h_codigo_doc_reemp) {
        this.h_codigo_doc_reemp = h_codigo_doc_reemp;
    }

    public void setCodigoSede(String codigoSede) {
        this.codigoSede = codigoSede;
    }

    public String getGTS() {
        return GTS;
    }

    public void setGTS(String GTS) {
        this.GTS = GTS;
    }

    public String getArmarHoraio_cadenaAulas() {
        return ArmarHoraio_cadenaAulas;
    }

    public void setArmarHoraio_cadenaAulas(String ArmarHoraio_cadenaAulas) {
        this.ArmarHoraio_cadenaAulas = ArmarHoraio_cadenaAulas;
    }

    public String getGA_codigoGrupoAula() {
        return GA_codigoGrupoAula;
    }

    public void setGA_codigoGrupoAula(String GA_codigoGrupoAula) {
        this.GA_codigoGrupoAula = GA_codigoGrupoAula;
    }

    public String getGA_cadena() {
        return GA_cadena;
    }

    public void setGA_cadena(String GA_cadena) {
        this.GA_cadena = GA_cadena;
    }

    public String getGA_cantidad() {
        return GA_cantidad;
    }

    public void setGA_cantidad(String GA_cantidad) {
        this.GA_cantidad = GA_cantidad;
    }

    public int getMaxGrupo() {
        return maxGrupo;
    }

    public void setMaxGrupo(int maxGrupo) {
        this.maxGrupo = maxGrupo;
    }

    public String getCadena() {
        return cadena;
    }

    public void setCadena(String cadena) {
        this.cadena = cadena;
    }

    private String codigoPlana;

    public String getArmarHoraio_codigo() {
        return ArmarHoraio_codigo;
    }

    public void setArmarHoraio_codigo(String ArmarHoraio_codigo) {
        this.ArmarHoraio_codigo = ArmarHoraio_codigo;
    }

    public String getArmarHoraio_cadena() {
        return ArmarHoraio_cadena;
    }

    public void setArmarHoraio_cadena(String ArmarHoraio_cadena) {
        this.ArmarHoraio_cadena = ArmarHoraio_cadena;
    }

    public String getCodigoPlana() {
        return codigoPlana;
    }

    public void setCodigoPlana(String codigoPlana) {
        this.codigoPlana = codigoPlana;
    }

    public String getH_clase() {
        return h_clase;
    }

    public void setH_clase(String h_clase) {
        this.h_clase = h_clase;
    }

    public String getH_accion() {
        return h_accion;
    }

    public void setH_accion(String h_accion) {
        this.h_accion = h_accion;
    }

    public String getH_fecha() {
        return h_fecha;
    }

    public void setH_fecha(String h_fecha) {
        this.h_fecha = h_fecha;
    }

    public String getH_hora() {
        return h_hora;
    }

    public void setH_hora(String h_hora) {
        this.h_hora = h_hora;
    }

    public String getH_periodo() {
        return h_periodo;
    }

    public void setH_periodo(String h_periodo) {
        this.h_periodo = h_periodo;
    }

    public String getH_nombreUsuario() {
        return h_nombreUsuario;
    }

    public void setH_nombreUsuario(String h_nombreUsuario) {
        this.h_nombreUsuario = h_nombreUsuario;
    }

    public String getH_codigoUsuario() {
        return h_codigoUsuario;
    }

    public void setH_codigoUsuario(String h_codigoUsuario) {
        this.h_codigoUsuario = h_codigoUsuario;
    }

    //---------------------------------------
    public String getH_nombreGrupo() {
        return h_nombreGrupo;
    }

    public void setH_nombreGrupo(String h_nombreGrupo) {
        this.h_nombreGrupo = h_nombreGrupo;
    }

    public String getH_codigoHorarioCursoDocente() {
        return h_codigoHorarioCursoDocente;
    }

    public void setH_codigoHorarioCursoDocente(String h_codigoHorarioCursoDocente) {
        this.h_codigoHorarioCursoDocente = h_codigoHorarioCursoDocente;
    }

    public String getH_codigoAula() {
        return h_codigoAula;
    }

    public void setH_codigoAula(String h_codigoAula) {
        this.h_codigoAula = h_codigoAula;
    }

    public String getH_dia() {
        return h_dia;
    }

    public void setH_dia(String h_dia) {
        this.h_dia = h_dia;
    }

    public String getH_posicionBloque() {
        return h_posicionBloque;
    }

    public void setH_posicionBloque(String h_posicionBloque) {
        this.h_posicionBloque = h_posicionBloque;
    }

    public String getH_horarioInicio() {
        return h_horarioInicio;
    }

    public void setH_horarioInicio(String h_horarioInicio) {
        this.h_horarioInicio = h_horarioInicio;
    }

    public String getH_horarioFinal() {
        return h_horarioFinal;
    }

    public void setH_horarioFinal(String h_horarioFinal) {
        this.h_horarioFinal = h_horarioFinal;
    }

    public String getH_codigoCurso() {
        return h_codigoCurso;
    }

    public void setH_codigoCurso(String h_codigoCurso) {
        this.h_codigoCurso = h_codigoCurso;
    }

    public String getH_codigoDocente() {
        return h_codigoDocente;
    }

    public void setH_codigoDocente(String h_codigoDocente) {
        this.h_codigoDocente = h_codigoDocente;
    }

    public String getH_codigoTurno() {
        return h_codigoTurno;
    }

    public void setH_codigoTurno(String h_codigoTurno) {
        this.h_codigoTurno = h_codigoTurno;
    }

    public String getH_codigoGrupo() {
        return h_codigoGrupo;
    }

    public void setH_codigoGrupo(String h_codigoGrupo) {
        this.h_codigoGrupo = h_codigoGrupo;
    }

    public String getH_estado() {
        return h_estado;
    }

    public void setH_estado(String h_estado) {
        this.h_estado = h_estado;
    }

    public String getH_nombreCurso() {
        return h_nombreCurso;
    }

    public void setH_nombreCurso(String h_nombreCurso) {
        this.h_nombreCurso = h_nombreCurso;
    }

    public String getH_apellidosDocente() {
        return h_apellidosDocente;
    }

    public void setH_apellidosDocente(String h_apellidosDocente) {
        this.h_apellidosDocente = h_apellidosDocente;
    }

    public String getH_nombreDocente() {
        return h_nombreDocente;
    }

    public void setH_nombreDocente(String h_nombreDocente) {
        this.h_nombreDocente = h_nombreDocente;
    }

    //-------------------------------------
    public int getArmarHoraio_cantidad() {
        return ArmarHoraio_cantidad;
    }

    public void setArmarHoraio_cantidad(int ArmarHoraio_cantidad) {
        this.ArmarHoraio_cantidad = ArmarHoraio_cantidad;
    }

    public String getArmarHoraio_codAulas() {
        return ArmarHoraio_codAulas;
    }

    public void setArmarHoraio_codAulas(String ArmarHoraio_codAulas) {
        this.ArmarHoraio_codAulas = ArmarHoraio_codAulas;
    }

    public int getArmarHoraio_codBlo() {
        return ArmarHoraio_codBlo;
    }

    public void setArmarHoraio_codBlo(int ArmarHoraio_codBlo) {
        this.ArmarHoraio_codBlo = ArmarHoraio_codBlo;
    }

    public int getArmarHoraio_codGru() {
        return ArmarHoraio_codGru;
    }

    public void setArmarHoraio_codGru(int ArmarHoraio_codGru) {
        this.ArmarHoraio_codGru = ArmarHoraio_codGru;
    }

    public String getNombreNivel() {
        return nombreNivel;
    }

    public void setNombreNivel(String nombreNivel) {
        this.nombreNivel = nombreNivel;
    }

    public String getNombreTipoGrado() {
        return nombreTipoGrado;
    }

    public void setNombreTipoGrado(String nombreTipoGrado) {
        this.nombreTipoGrado = nombreTipoGrado;
    }

    public String getNombreGrado() {
        return nombreGrado;
    }

    public void setNombreGrado(String nombreGrado) {
        this.nombreGrado = nombreGrado;
    }

    public String getNombreSeccion() {
        return nombreSeccion;
    }

    public void setNombreSeccion(String nombreSeccion) {
        this.nombreSeccion = nombreSeccion;
    }

    public String getNombreTurno() {
        return nombreTurno;
    }

    public void setNombreTurno(String nombreTurno) {
        this.nombreTurno = nombreTurno;
    }

    public String getNombreCurso() {
        return nombreCurso;
    }

    public void setNombreCurso(String nombreCurso) {
        this.nombreCurso = nombreCurso;
    }

    public String getNombreSede() {
        return nombreSede;
    }

    public void setNombreSede(String nombreSede) {
        this.nombreSede = nombreSede;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public int getCantidadTotal() {
        return cantidadTotal;
    }

    public void setCantidadTotal(int cantidadTotal) {
        this.cantidadTotal = cantidadTotal;
    }

    public String getCodHorarioCursoDoc() {
        return codHorarioCursoDoc;
    }

    public void setCodHorarioCursoDoc(String codHorarioCursoDoc) {
        this.codHorarioCursoDoc = codHorarioCursoDoc;
    }

    public String getCodAula_HorarioCursoDoc() {
        return codAula_HorarioCursoDoc;
    }

    public void setCodAula_HorarioCursoDoc(String codAula_HorarioCursoDoc) {
        this.codAula_HorarioCursoDoc = codAula_HorarioCursoDoc;
    }

    public String getDia_HorarioCursoDoc() {
        return dia_HorarioCursoDoc;
    }

    public void setDia_HorarioCursoDoc(String dia_HorarioCursoDoc) {
        this.dia_HorarioCursoDoc = dia_HorarioCursoDoc;
    }

    public String getPosicionBloque_HorarioCursoDoc() {
        return posicionBloque_HorarioCursoDoc;
    }

    public void setPosicionBloque_HorarioCursoDoc(String posicionBloque_HorarioCursoDoc) {
        this.posicionBloque_HorarioCursoDoc = posicionBloque_HorarioCursoDoc;
    }

    public String getHini_HorarioCursoDoc() {
        return Hini_HorarioCursoDoc;
    }

    public void setHini_HorarioCursoDoc(String Hini_HorarioCursoDoc) {
        this.Hini_HorarioCursoDoc = Hini_HorarioCursoDoc;
    }

    public String getHfin_HorarioCursoDoc() {
        return Hfin_HorarioCursoDoc;
    }

    public void setHfin_HorarioCursoDoc(String Hfin_HorarioCursoDoc) {
        this.Hfin_HorarioCursoDoc = Hfin_HorarioCursoDoc;
    }

    public String getCodigoArea_HorarioCursoDoc() {
        return codigoArea_HorarioCursoDoc;
    }

    public void setCodigoArea_HorarioCursoDoc(String codigoArea_HorarioCursoDoc) {
        this.codigoArea_HorarioCursoDoc = codigoArea_HorarioCursoDoc;
    }

    public String getCodidoCurso_HorarioCursoDoc() {
        return codidoCurso_HorarioCursoDoc;
    }

    public void setCodidoCurso_HorarioCursoDoc(String codidoCurso_HorarioCursoDoc) {
        this.codidoCurso_HorarioCursoDoc = codidoCurso_HorarioCursoDoc;
    }

    public String getCodigoDocente_HorarioCursoDoc() {
        return codigoDocente_HorarioCursoDoc;
    }

    public void setCodigoDocente_HorarioCursoDoc(String codigoDocente_HorarioCursoDoc) {
        this.codigoDocente_HorarioCursoDoc = codigoDocente_HorarioCursoDoc;
    }

    public String getEstado_HorarioCursoDoc() {
        return estado_HorarioCursoDoc;
    }

    public void setEstado_HorarioCursoDoc(String estado_HorarioCursoDoc) {
        this.estado_HorarioCursoDoc = estado_HorarioCursoDoc;
    }

    public String getCodigoHorarioGrupo() {
        return codigoHorarioGrupo;
    }

    public void setCodigoHorarioGrupo(String codigoHorarioGrupo) {
        this.codigoHorarioGrupo = codigoHorarioGrupo;
    }

    public String getCodigoGrupo() {
        return codigoGrupo;
    }

    public void setCodigoGrupo(String codigoGrupo) {
        this.codigoGrupo = codigoGrupo;
    }

    public String getEstadoHorarioGrupo() {
        return estadoHorarioGrupo;
    }

    public void setEstadoHorarioGrupo(String estadoHorarioGrupo) {
        this.estadoHorarioGrupo = estadoHorarioGrupo;
    }

}
